Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class PropertyTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.PropertyTag

Direct Known Subclasses:
  GetPropertyTag, RemovePropertyTag, SetPropertyTag

public class PropertyTag
extends UserManagementTag

Base class for get/set property tags, provides access to cached profile and anonymous profile, as well as common attributes.

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`PropertyTag()`

Method Summary
`java.lang.String` | `getPropertyName()` Get the property name to look for
`java.lang.String` | `getPropertySet()` Get the property set to use
`void` | `release()` Reset the tag's attributes
`void` | `setPropertyName(java.lang.String s)` Set the property name to look for
`void` | `setPropertySet(java.lang.String s)` Set the property set to use

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyTag

    public PropertyTag()

Method Detail

### release

    public void release()

  Reset the tag's attributes

  Overrides:
    release in class UserManagementTag

### getPropertySet

    public java.lang.String getPropertySet()

  Get the property set to use

### setPropertySet

    public void setPropertySet(java.lang.String s)

  Set the property set to use

### getPropertyName

    public java.lang.String getPropertyName()

  Get the property name to look for

### setPropertyName

    public void setPropertyName(java.lang.String s)

  Set the property name to look for

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved